=== debian/control ===
Source: ros-iron-plansys2-popf-plan-solver
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-plansys2-core, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros2run <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-popf-plan-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-plansys2-core, ros-iron-pluginlib, ros-iron-popf, ros-iron-rclcpp, ros-iron-ros-workspace
Description: This package contains the PDDL-based Planner module for the ROS2 Planning System
